%global forgeurl        https://github.com/golang/net
%global goipath         golang.org/x/net
%global commit          16b79f2e4e95ea23b2bf9903c9809ff7b013ce85

%global x_name          golang-golang-org-net

%gometa -i

Name:       golang-googlecode-net
Version:    0
Release:    %mkrel 0.3
Summary:    Supplementary Go networking libraries
License:    BSD
Group:      Development/Other
URL:        %{gourl}
Source0:    %{gosource}
Patch0:     74dc4d7220e7acc4e100824340f3e66577424772.patch

%description
%{summary}

%package -n %{x_name}-devel
Summary:       Supplementary Go networking libraries for golang.org/x/ imports

BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(golang.org/x/text/encoding)
BuildRequires:  golang(golang.org/x/text/encoding/charmap)
BuildRequires:  golang(golang.org/x/text/encoding/htmlindex)
BuildRequires:  golang(golang.org/x/text/secure/bidirule)
BuildRequires:  golang(golang.org/x/text/transform)
BuildRequires:  golang(golang.org/x/text/unicode/norm)

%description -n %{x_name}-devel

This package contains library source intended for building other packages
which use the supplementary Go text libraries with golang.org/x/ imports.

%prep
%forgesetup
%autopatch -p1

%install
files="$(find . -iname testdata)"
%goinstall $files

%check
%gochecks -d icmp -d bpf -d http/httpproxy -d http/httpguts -d http2

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files -n %{x_name}-devel -f devel.file-list
%license LICENSE
%doc AUTHORS CONTRIBUTORS PATENTS README.md CONTRIBUTING.md



%changelog
* Fri Dec 11 2020 pterjan <pterjan> 0-0.3.mga7
+ Revision: 1655512
- Add upstream patch for CVE-2019-9512 and CVE-2019-9514

* Fri Mar 29 2019 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1380978
- Update to commit 16b79f2e4e95ea23b2bf9903c9809ff7b013ce85 to fix CVE-2018-17143, CVE-2018-17142, CVE-2018-17075, CVE-2018-17846, CVE-2018-17847,
  CVE-2018-17848

* Mon Nov 19 2018 pterjan <pterjan> 0-0.1.20181118gitdb08ff0.mga7
+ Revision: 1331632
- Add Group
- imported package golang-googlecode-net

